Name:           perl-Glib-Object-Introspection
Version:        0.003
Release:        2%{?dist}
Summary:        Dynamically create Perl language bindings
License:        GPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Glib-Object-Introspection/
Source0:        http://www.cpan.org/modules/by-module/Glib/Glib-Object-Introspection-%{version}.tar.gz
# Test suite must include -fPIC otherwise it'll fail to build
Patch1:         Glib-Object-Introspection-%{version}-fpic.patch
BuildRequires:  perl(ExtUtils::Depends) >= 0.3
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::PkgConfig) >= 1
BuildRequires:  perl(Glib) >= 1.24
BuildRequires:  perl(Glib::MakeHelper)
BuildRequires:  gobject-introspection-devel
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(ExtUtils::Depends) >= 0.3
Requires:       perl(ExtUtils::PkgConfig) >= 1
Requires:       perl(Glib) >= 1.24

%description
Glib::Object::Introspection uses the gobject-introspection and libffi projects
to dynamically create Perl bindings for a wide variety of libraries.  Examples
include gtk+, webkit, libsoup and many more.


%prep
%setup -q -n Glib-Object-Introspection-%{version}
%patch1 -p1

%build
# If LANG is not set to UTF8, then when later running the test
# suite, you will see multiple failures handling UTF8 data
LANG=en_US.UTF8 %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
LANG=en_US.UTF8 make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
LANG=en_US.UTF8 make test

%files
%defattr(-,root,root,-)
%doc LICENSE META.json NEWS perl-Glib-Object-Introspection.doap README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Glib*
%{_mandir}/man3/*

%changelog
* Mon Nov 21 2011 Daniel P. Berrange <berrange@redhat.com> - 0.003-2
- Add missing BRs on Test::More Glib::MakeHelper & gobject-introspection-devel
- Add requires on perl MODULE_COMPAT
- Add comment about UTF8 requirement

* Fri Nov 04 2011 Daniel P. Berrange <berrange@redhat.com> 0.003-1
- Specfile autogenerated by cpanspec 1.78.
